Skip to main content
POST
/
cms
/
pages
/
2026-03
/
landing-pages
/
folders
/
batch
/
read
cURL
curl --request POST \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "category": 123,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "parentFolderId": 123,
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Body

*/*
inputs
string[]
required

Strings to input.

Response

successful operation

completedAt
string<date-time>
required

The timestamp indicating when the batch operation was completed.

results
object[]
required
startedAt
string<date-time>
required

The timestamp indicating when the batch operation started.

status
enum<string>
required

The current status of the batch operation, which can be CANCELED, COMPLETE, PENDING, or PROCESSING.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A collection of associated links for the batch operation.

requestedAt
string<date-time>

The timestamp indicating when the batch operation was requested.

Last modified on March 30, 2026